<?php
session_start();
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}
 $kwid = "prase";
 $search = "prase";
 $pocetKroku = 50;
 $min = 0;
 if (isset($_GET["kwid"]))
 {
  $kwid = $_GET["kwid"];
 };
 if (isset($_POST["search"]))
 {
  $search = $_POST["search"];
 };
 if (isset($_GET["min"]))
 {
  $min = $_GET["min"];
 };
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>

<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
      <div class="item">
        <h2>Vítejte v databázi pacientů </h2>
        <ul class="info">
          <li>Dnes</li>
          <li class="tag">Info</li>
               </ul>
               <br />
        <br />

<?php 
if ($kwid == "prase" && $search == "prase")
  {
   	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
    if (!$spojeni):
	    echo "Nepodařilo se připojit k MySQL.<BR>\n";
      break;
	  endif;
	  MySQL_Select_DB("marvik_johny_cz");
	  @$vysledek = MySQL_Query("SELECT * FROM `pacient` LIMIT ".$min." , ".$pocetKroku);
	   	  if (!$vysledek):
		  echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		  break;
	  endif;
	
	  while ($zaznam = MySQL_Fetch_Array($vysledek))
	  {
	    $vypis = "<div>Jméno pacienta:";
      $vypis .= "<a href='?kwid=".$zaznam['Prijmeni']."'>".$zaznam['Prijmeni']."</a>";
      $vypis .="</div>";
      echo($vypis);
    }
	
	  if ($min-$pocetKroku >= 0)
	  {
	    echo "<div><a href = '?min=".($min-$pocetKroku)."'>zpet</a></div>";
	  }
	  if ($min+$pocetKroku <= 14384)
	  {
	    echo "<div><a href = '?min=".($min+$pocetKroku)."'>dalsi</a></div>";
	  }
	 }
	 else
	 {
	 
	   @$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
     if (!$spojeni):
	     echo "Nepodařilo se připojit k MySQL.<BR>\n";
       break;
	   endif;
	   MySQL_Select_DB("marvik_johny_cz");
	  
	   //vybrani choroby ze seznamu
	   if ($search == "prase")
	   {
	     @$vysledek = MySQL_Query("SELECT * FROM pacient WHERE pacient.Prijmeni=".$kwid);
	     if (!$vysledek):
		     echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		     break;
	     endif;
	     
	     while ($zaznam = MySQL_Fetch_Array($vysledek))
	     {
	       $vypis = "<div>Jmeno Pacienta: ";
         $vypis .= $zaznam['Prijmeni'] . " " . $zaznam['Prijmeni'];
         $vypis .="</div>";
         echo($vypis);
       }
	   }
	
	     //seznam chorob
	     $seznam_chorob = Array();
	     while ($zaznam = MySQL_Fetch_Array($vysledek))
	     {
	       $seznam_chorob[] = $zaznam["Prijmeni"];  
         echo "<div>choroba: ".$zaznam["pacient.id"]."</div>";   
	     }
	     echo "<br>";
	     
	     foreach ($seznam_chorob as $item)
	     {
          @$vysledek = MySQL_Query("SELECT * FROM pacient WHERE pacient.Prijmeni=".$item);
	        if (!$vysledek):
		        echo "Došlo k chybě při zpracování dotazu v databázi.<BR>\n";
		        break;
	        endif;
	        
	        while ($zaznam = MySQL_Fetch_Array($vysledek))
	        {
	          $vypis = "<div>Jmeno Pacienta: ";
            $vypis .= $zaznam['Jmeno'] . " " . $zaznam['Prijmeni'];
            $vypis .="</div>";
            echo($vypis);
          }
       }
	
     
   }
  ?>
          
      </div>      
    
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
        <div class="box subMenu">
        <h3>Odhlášení:</h3>
        <ul>
           <li><a href="index.php">Logout</a></li>
          </ul>
      </div>
           <div class="box subMenu">
        <h3>Správa databáze:</h3>
        <ul>
        
           <li><a href="hledat.php">Zpět</a></li>
 
    
          </ul>
      </div>  
  
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>
